'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Registers the default plugins in case none were provided
 */

function registerDefaultPlugins(compiler) {
  var ReactPlugin = require('../../plugins/react/dist/plugin'); // eslint-disable-line global-require, max-len
  try {
    var reactPlugin = new ReactPlugin();
    reactPlugin.apply(compiler);
  } catch (err) {
    try {
      ReactPlugin = require('carte-blanche-react-plugin'); // eslint-disable-line global-require, import/no-unresolved, max-len
      var _reactPlugin = new ReactPlugin();
      _reactPlugin.apply(compiler);
    } catch (ex) {
      console.log('ERROR Installing default CarteBlanche plugins failed.', ex); // eslint-disable-line no-console,max-len
    }
  }
}

exports.default = registerDefaultPlugins;